Closed4

Firebase Extensionsをcli経由でインストールしたい

extension.yaml、勘違いしていた。各Extensionのリポジトリにextension.yamlがあるのでそこから指定できるパラメータを確認しろってことだった。完全に理解した。

firebase ext:install firestore-bigquery-export --params=path/to/params.env --project=projectID-or-alias
# params.env
LOCATION=us-east1
LANGUAGES=fr,es
COLLECTION_PATH=translations
INPUT_FIELD_NAME=input
OUTPUT_FIELD_NAME=output

Exportのextension.yaml 👇

https://github.com/firebase/extensions/blob/master/firestore-bigquery-export/extension.yaml

instanceIDというものがExtension経由でインストールしたFunctionのIDになり、更新などはinstanceIDを通じて行うが、install時にparamsから指定できない…必ずPromptでてきてめんどいなコレ。

このスクラップは2021/01/15にクローズされました
ログインするとコメントできます